/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "@(#)$Header: m_get_deflt.c 1.1 89/04/17 $"

/* routine to determine default number of processors */

int m_get_default()
{
#ifdef ALLBUTONE
	int max, req;
	char *env, *getenv();
	max = cpus_online() - 1;
	env = getenv("PARALLEL");
	if (env && (req = atoi(env)) > 0 && req <= max) return(req);
	return(max);
#else
	return((cpus_online() + 1) / 2);
#endif
}

